सेलेनियम फॉर्म 2.53.1 से 3.x - सेलेनियम 3 स्विच करें

मेरा प्रोजेक्ट सेलेनियम 2.53.1 का उपयोग करता है और मैं 3.x पर अपग्रेड करना चाहता हूं।

मैं अपनी build.gradle फ़ाइल पर निर्भरता अद्यतन करता हूं, लेकिन अब, मैं परियोजना के लिए आवश्यक कुछ पुस्तकालयों को आयात नहीं कर सकता:

  • DesiredCapabilities
  • क्रिया

अब वे कहाँ हैं? क्या मुझे अतिरिक्त निर्भरताओं की आवश्यकता है?

मेरी वर्तमान निर्भरताएं:

संकलन ( "org.seleniumhq.selenium: सेलेनियम-जावा: 3।4.0 ") संकलन ( "org.seleniumhq.selenium: सेलेनियम सर्वर: 3.4.0") संकलन ( "org.seleniumhq.selenium: सेलेनियम-समर्थन: 3.4.0") संकलन ( "org.seleniumhq.selenium: सेलेनियम-api: 3.4.0")

उत्तर:

जवाब के लिए 0 № 1

मुझे खेद है, एक आईडीई त्रुटि थी। एक ही समय में सेलेनियम के दो संस्करण लोड हो रहे थे।


संबंधित सवाल
सबसे लोकप्रिय